
#include "settings.glsl"

float get_luminance(vec3 Color) {
    return 0.299*Color.r + 0.587*Color.g + 0.114*Color.b;
}

vec3 toLinear(vec3 sRGB){
	return sRGB * (sRGB * (sRGB * 0.305306011 + 0.682171111) + 0.012522878);
}

vec3 ACESFilm(vec3 x) {
    x *= EXPOSURE;
    float a = 2.51f;
    float b = 0.03f;
    float c = 2.43f;
    float d = 0.59f;
    float e = 0.14f;
	vec3 r = (x*(a*x+b))/(x*(c*x+d)+e);

    return toLinear(r);
}

// Apply saturation TODO: vibrance, contrast
vec3 apply_saturation(vec3 Color, float Sat) {
    float luminance = get_luminance(Color);
    return mix(vec3(luminance), Color, Sat);
}
