
uniform sampler2D colortex0;
uniform sampler2D colortex1;
uniform float rainStrength;

varying vec2 texcoord;
#include "/lib/tonemap.glsl"
#include "/lib/blur.glsl"
#include "/lib/settings.glsl"

// Color adjustments, Bloom final

/* DRAWBUFFERS:0 */

void main() {
	gl_FragData[0] = texture(colortex0, texcoord);
	#ifdef BLOOM 
		float Offset = 0;
		vec4 FinalBloom = vec4(0, 0, 0, 1);
		for(int i = 2; i <= 2+BLOOM_SIZE; i++) {
			FinalBloom += texture(colortex1, texcoord/pow(2, i)+Offset);
			Offset += 1/pow(2, i);
		}
		gl_FragData[0] += FinalBloom * BLOOM_STRENGTH;
	#endif
	gl_FragData[0].xyz = ACESFilm(gl_FragData[0].xyz);
	gl_FragData[0].xyz = apply_saturation(gl_FragData[0].xyz, SATURATION);

}
