

uniform sampler2D lightmap;
uniform sampler2D gtexture;
uniform vec4 entityColor;

varying vec2 LightmapCoords;
varying vec2 texcoord;
varying vec4 glcolor;

/* DRAWBUFFERS:0 */

#include "/global/lighting.fsh"

void main() {
	gl_FragData[0] = texture(gtexture, texcoord) * glcolor;
	gl_FragData[0] = vec4(mix(gl_FragData[0].rgb, entityColor.rgb, entityColor.a), gl_FragData[0].a);
	vec3 TweakedLM = tweak_lightmap(LightmapCoords);
	gl_FragData[0] *= vec4(TweakedLM, 1);
	if (gl_FragData[0].a < 0.1) {
		discard;
	}
}
