

uniform sampler2D lightmap;
uniform sampler2D gtexture;
uniform float rainStrength;

uniform mat4 gbufferProjectionInverse;
uniform int worldTime;

uniform int viewHeight;
uniform int viewWidth;


varying vec2 LightmapCoords;
varying vec2 texcoord;
varying vec4 glcolor;
varying vec3 Viewpos;

#include "/lib/util.glsl"
#include "/lib/tonemap.glsl"

#include "/lib/settings.glsl"
#include "/global/sky.glsl"

void main() {
	/* DRAWBUFFERS:02 */
	vec4 data = texture(gtexture, texcoord) * glcolor;
	vec4 SkyColor = vec4(calcSkyColor(normalize(Viewpos)), 1);
	gl_FragData[0] = SkyColor;
	if(data.r == data.g && data.g == data.b && data.r > 0.0) // This only includes stars
		gl_FragData[0] = data;
	#ifdef BORDER_FOG
    gl_FragData[1].xyz = SkyColor.xyz;
	#endif
	
}
