uniform sampler2D lightmap;
uniform sampler2D gtexture;
uniform sampler2D depthtex0;
uniform sampler2D depthtex1;

uniform float near;
uniform int isEyeInWater;

varying vec2 LightmapCoords;
varying vec2 texcoord;
varying vec4 glcolor;
varying float Noise;

/* DRAWBUFFERS:0 */

#include "/global/lighting.fsh"

void main() {
	gl_FragData[0] = texture(gtexture, texcoord)*glcolor;
	
	
	if(int(material) == 10002 && isEyeInWater == 0) {
		gl_FragData[0] *= vec4(vec3(0.7), 1);
		#ifdef WATER_FOAM
		gl_FragData[0] *= vec4(vec3(min((Noise*Noise)+0.7, 1)), 1);
		// Thing I stole from SuperDuperVanilla. Idk how it works
		float waterDepth = near / (1.0 - gl_FragCoord.z) - near / (1.0 - texelFetch(depthtex1, ivec2(gl_FragCoord.xy), 0).x);

		gl_FragData[0] += (1-Noise)*(pow(clamp(waterDepth, -0.5, 0)+0.5, 2))*3;
		#endif
	}
	
	vec3 TweakedLM = tweak_lightmap(LightmapCoords);
	gl_FragData[0] *= vec4(TweakedLM, 1);
	if (gl_FragData[0].a < 0.1) {
		discard;
	}
	
}
