#include "/global/lighting.vsh"
#include "/lib/settings.glsl"
#include "/lib/noise.glsl"
uniform mat4 gbufferProjectionInverse;
uniform mat4 gbufferModelViewInverse;
uniform vec3 cameraPosition;
uniform float frameTimeCounter;
varying float Noise;

void main() {
	init_generic();
	vec3 WorldPos = (gbufferProjectionInverse * gl_Position).xyz;
	WorldPos = mat3(gbufferModelViewInverse) * WorldPos;
	WorldPos += cameraPosition;
	#ifdef WATER_FOAM
	Noise = fbm(WorldPos.xz/8+frameTimeCounter/64, 2);
	#endif
}
