#include "/global/lighting.vsh"
#include "/lib/util.glsl"
#include "/lib/settings.glsl"

uniform mat4 gbufferModelViewInverse;
uniform mat4 gbufferModelView;
uniform vec3 cameraPosition;
uniform int worldDay;
uniform float frameTimeCounter;

void main() {
	
	init_generic();
	vec3 ViewPos = (gl_ModelViewMatrix * gl_Vertex).xyz;
	vec3 PlayerPos = mat3(gbufferModelViewInverse) * ViewPos;
	PlayerPos.xz += PlayerPos.y * (sin(frameTimeCounter)/2 + 0.5) * RAIN_TILT_STRENGTH;
	gl_Position = gl_ProjectionMatrix * vec4(mat3(gbufferModelView) * PlayerPos, 1);
}
